<?php
/************************************************************
* score.php
* XML-Datei ausgeben, bertragenen Highscore in Datenbank eingeben
* (c) Jrgen Mller-Ltken 25.4.2006
*************************************************************/
include("inc/mysql_inc.php");
require_once("lib/db_class.php");

function quote_smart($value)
{
	// falls nur Ziffern vorhanden sind, wird davon ausgegangen, dass es eine Zahl ist
	if(!preg_match("/[^0-9]/", $value))
	{
		return intval($value);
	}
	else
	{
		// stripslashes, falls ntig
		if(get_magic_quotes_gpc()) {
		$value = stripslashes($value);
		}
		// quotieren
		return "'" . mysqli_real_escape_string($value) . "'";
	}
}

function getScores($instanz_db)
{
	$zeit = mktime(); // die aktuelle Zeit am Server-Standort in Sekunden seit der UNIX Epoche (January 1 1970 00:00:00 GMT) 
        $sql = "SELECT name,punkte FROM tbl_ladybug_scores WHERE name = 'universal' OR datum LIKE '".date("D, d M Y", $zeit)."%' ORDER BY punkte DESC LIMIT 0,9;"; // die Ergebnisse sollen jeweils von einem Tag auf den anderen umschalten; 
        $result = $instanz_db -> send_query($sql);

        if(mysqli_num_rows($result) > 0)
        {
                $vxml = "<?xml version=\"1.0\"?>\n";
                $vxml .= "<highScorer>\n\t";
                for ($j=0; $rec=mysqli_fetch_array($result); $j++)
                {
			if($j == 3)
				$drei = $rec["punkte"];
			if($j == 8)
				$acht = $rec["punkte"];
                        if($j < 8)
				$vxml .=  "<scorer name=\"".$rec["name"]."\" punktestand=\"".$rec["punkte"]."\"></scorer>\n\t";
			else
				$vxml .=  "<scorer name=\"".$rec["name"]."\" punktestand=\"".$rec["punkte"]."\"></scorer>\n";
                }
		$vxml .= "</highScorer>\n\t";
                return $vxml;
        }
}


if($_POST && $_SERVER['REQUEST_METHOD'] == 'POST')
{	
	if(!$_POST["newDatum"] || $_POST["newDatum"] == "")
	{
		$datum = date('r')." S";
	}
	else
	{
		$datum = $_POST["newDatum"];
	}
	if((preg_match("/[^a-zA-Z0-9,:\-\+\ ]/",$datum) || strlen($datum) > 30) || (preg_match("/[^a-z0-9\.$?!&\ ]/",$_POST["newBest"]) || strlen($_POST["newBest"]) > 10) || (preg_match("/[^0-9]/",$_POST["newHighscore"]) || strlen($_POST["newHighscore"]) > 10)  || (preg_match("/[^0-9]/",$_POST["endLevel"]) || strlen($_POST["endLevel"]) > 3))
	{
		exit;
	}
	else
	{
		$sql = "INSERT INTO tbl_ladybug_scores (id,name,punkte,level,datum) VALUES ('',".quote_smart($_POST["newBest"]).",".$_POST["newHighscore"].",".quote_smart($_POST["endLevel"]).",".quote_smart($datum).")";
		$ergebnis = $instanz_db -> send_query($sql);
		echo getScores($instanz_db);
	}
	
}
else
{
        echo getScores($instanz_db);
}
?>